Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Highlighted
Contributor
Posts: 10
Registered: ‎05-06-2012
My Device: 9860
My Carrier: VN

Ripple and blackberry.ui.dialog error

Hi all,

 

I still can not overcome the Ripple on emulating my codes Smiley Sad

 

In my script, I call a javascript function

 

<script>
blackberry.ui.dialog.dateTimeAsync(....... .... ....)
</script>

It got the error on Ripple that looks no blackberry libary support:

 

Exception in dateTimeAsync: ReferenceError: Can't find variable: blackberry

 

Exception in dateTimeAsync: TypeError: 'undefined' is not a function (evaluating 'blackberry.ui.dialog.dataTimeAsync(&quot;date&quot;, opts, window.onDateTimeSelected)')

However, I built and signed the code, and migrated to my BB phone by BB Desktop Manager - nothing error at all on my phone.

 

Please instruct me, how to fix the Ripple?

 

Thanks a lot!

 

 

 

Contributor
Posts: 10
Registered: ‎05-06-2012
My Device: 9860
My Carrier: VN

Re: Ripple and blackberry.ui.dialog error

Please anyone help!
Developer
Posts: 214
Registered: ‎01-07-2011
My Device: Bold 9900
My Carrier: Rogers

Re: Ripple and blackberry.ui.dialog error

I believe this got updated in the API but not added in Ripple. There was another post recently about customAskAsync and standardAskAysnc not working in Ripple either.

 

There is an issue open for it (https://github.com/blackberry/Ripple-UI/issues/333)

--
Rory (@roryboy)
Click "Accept as Solution" if post solved your original issue. Give like/thumbs up if you feel post is helpful
Developer
Posts: 314
Registered: ‎03-28-2012
My Device: Curve 9360, Playbook, BB10 Dev Alpha
My Carrier: TMN

Re: Ripple and blackberry.ui.dialog error

all the dialogs fail, except the standard javascript alert and prompt.

this is very frustrating as I can not use Ripple to test most of my apps Smiley Sad

Nuno
Contributor
Posts: 10
Registered: ‎05-06-2012
My Device: 9860
My Carrier: VN

Re: Ripple and blackberry.ui.dialog error

Thanks, even the problem could not be solved but i know my case is not an exception.
Contributor
Posts: 18
Registered: ‎01-21-2011
My Device: BB7 - BB10
My Carrier: Developer

Re: Ripple and blackberry.ui.dialog error

I'm developing a WebWorks app for bb7.

When I try to use dateTimeAsync(...) on Ripple I have this error:

 

Object [object Object] has no method 'dateTimeAsync'

 

On device (9860 with 7.0.0.353) it's the same.

I am using bbUI and in index.html I need to import  webworksXXX.js to have 'webworksready' event. Now the imported js is the one provided for BB10 (webworks-1.0.2.9.js), because I haven't found the file for BB7 (2.3.1.5).

I have also tried to comment imports and directly load a simple page, but with no luck... Smiley Sad

 

So, is there a js file to import for BB7 or no file must be imported at all?

Or what is wrong in my case?

 

I can provide code fragments if it can help...